=== modified file 'testweave.py'
--- testweave.py	2005-06-28 09:32:03 +0000
+++ testweave.py	2005-06-28 09:34:03 +0000
@@ -211,6 +211,40 @@
 
 
 
+class CannedReplacement(TestBase):
+    """Unpack canned weave with deleted lines."""
+    def runTest(self):
+        k = Weave()
+
+        k._v = [VerInfo([]),
+                VerInfo([0]),
+                ]
+        k._l = [('{', 0),
+                'first line',
+                ('[', 1),
+                'line to be deleted',
+                (']', 1),
+                ('{', 1),
+                'replacement line',                
+                ('}', 1),
+                'last line',
+                ('}', 0),
+                ]
+
+        self.assertEqual(k.get(0),
+                         ['first line',
+                          'line to be deleted',
+                          'last line',
+                          ])
+
+        self.assertEqual(k.get(1),
+                         ['first line',
+                          'replacement line',
+                          'last line',
+                          ])
+
+
+
 class BadWeave(TestBase):
     """Test that we trap an insert which should not occur."""
     def runTest(self):

